document.addEventListener('DOMContentLoaded', () => {
  // Phrase cards audio functionality
  const cards = document.querySelectorAll('.card');
  cards.forEach(card => {
    card.addEventListener('click', () => {
      const phrase = card.getAttribute('data-phrase');
      speakPhrase(phrase);
    });
  });

  // Date suggestions
  const dateIdeas = [
    'Cook paella together',
    'Learn flamenco dancing',
    'Have a Spanish wine tasting',
    'Watch a Spanish film',
    'Go for a traditional paseo',
    'Visit a Spanish restaurant'
  ];

  const dateSuggestions = document.getElementById('dateSuggestions');
  let currentIndex = 0;

  function updateDateSuggestion() {
    dateSuggestions.textContent = dateIdeas[currentIndex];
    currentIndex = (currentIndex + 1) % dateIdeas.length;
  }

  updateDateSuggestion();
  setInterval(updateDateSuggestion, 5000);

  // Smooth scrolling for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Text-to-speech function for Spanish phrases
  function speakPhrase(phrase) {
    const utterance = new SpeechSynthesisUtterance(phrase);
    utterance.lang = 'es-ES';
    speechSynthesis.speak(utterance);
  }
});
